FENCE_AGENT(8)

NAME
fence_heuristics_ping - Fence agent for ping-heuristic based fencing

DESCRIPTION

fence_heuristics_ping uses ping-heuristics to control execution of another fence agent on the same fencing level.

This is not a fence agent by itself! Its only purpose is to enable/disable another fence agent that lives on the same fencing level but after fence_heuristics_ping.

The fence agent accepts options on the command line as well as from stdin. Fenced sends parameters through stdin when it execs the agent. The agent can be run by itself with command line options. This is useful for testing and for turning outlets on or off from scripts.

Vendor URL:

PARAMETERS

-o, --action=[action]
    Fencing action (Default Value: reboot)

-m, --method=[method]
    Method to fence (onoff|cycle) (Default Value: cycle)

--ping-count=[number]
    The number of ping-probes that is being sent per target (Default Value: 10)

--ping-good-count=[number]
    The number of positive ping-probes required to account a target as available (Default Value: 8)

--ping-interval=[seconds]
    The interval in seconds between ping-probes (Default Value: 1)

--ping-maxfail=[number]
    The number of failed ping-targets to still account as overall success (Default Value: 0)

--ping-targets=tgt1,[inet6:]tgt2
    A comma separated list of ping-targets (optionally prepended by 'inet:' or 'inet6:') to be probed (Default Value: )

--ping-timeout=[seconds]
    The timeout in seconds till an individual ping-probe is accounted as lost (Default Value: 2)

-q, --quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

-v, --verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

--verbose-level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

-D, --debug-file=[debugfile]
    Write debug information to given file

-V, --version
    Display version information and exit

-h, --help
    Display help and exit

--plug-separator=[char]
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

--delay=[seconds]
    Wait X seconds before fencing is started (Default Value: 0)

--disable-timeout=[true/false]
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

--login-timeout=[seconds]
    Wait X seconds for cmd prompt after login (Default Value: 5)

--power-timeout=[seconds]
    Test X seconds for status change after ON/OFF (Default Value: 20)

--power-wait=[seconds]
    Wait X seconds after issuing ON/OFF (Default Value: 0)

--shell-timeout=[seconds]
    Wait X seconds for cmd prompt after issuing command (Default Value: 3)

--stonith-status-sleep=[seconds]
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

--retry-on=[attempts]
    Count of attempts to retry power on (Default Value: 1)

ACTIONS

on  Power on machine.

off Power off machine.

reboot
    Reboot machine.

monitor
    Check the health of fence device

metadata
    Display the XML metadata describing this resource.

manpage
     The operational behavior of this is not known.

validate-all
    Validate if all required parameters are entered.

STDIN PARAMETERS

action
    Fencing action (Default Value: reboot)

method
    Method to fence (onoff|cycle) (Default Value: cycle)

ping_count
    The number of ping-probes that is being sent per target (Default Value: 10)

ping_good_count
    The number of positive ping-probes required to account a target as available (Default Value: 8)

ping_interval
    The interval in seconds between ping-probes (Default Value: 1)

ping_maxfail
    The number of failed ping-targets to still account as overall success (Default Value: 0)

ping_targets
    A comma separated list of ping-targets (optionally prepended by 'inet:' or 'inet6:') to be probed (Default Value: )

ping_timeout
    The timeout in seconds till an individual ping-probe is accounted as lost (Default Value: 2)

quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

verbose_level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

debug_file
    Write debug information to given file Obsoletes: debug

version
    Display version information and exit

help
    Display help and exit

plug_separator
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

delay
    Wait X seconds before fencing is started (Default Value: 0)

disable_timeout
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

login_timeout
    Wait X seconds for cmd prompt after login (Default Value: 5)

power_timeout
    Test X seconds for status change after ON/OFF (Default Value: 20)

power_wait
    Wait X seconds after issuing ON/OFF (Default Value: 0)

shell_timeout
    Wait X seconds for cmd prompt after issuing command (Default Value: 3)

stonith_status_sleep
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

retry_on
    Count of attempts to retry power on (Default Value: 1)